"Encrypt sensitive data" causes segmentation fault

VERIFIED DUPLICATE of bug 67156

Status

Core Graveyard
Security: UI
VERIFIED DUPLICATE of bug 67156
17 years ago
a year ago

People

(Reporter: Mats Soderstrom, Assigned: Javier Delgadillo)

Tracking

1.0 Branch

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

17 years ago
If I have "Encrypt sensitive data" set in 0.7 and upgrade to nightly build from
20010130 or later I get a sementation fault when I try to unset encryption. I
also get segmentation fault when I try to give my mail password. This error is
not present in 0.7 or in nightly from 20010127.

Comment 1

17 years ago
Did you try creating a new profile to know whether this happens with a fresh 
profile too? if creating a new profile fixes the problem, please report back so 
we can try to figure out what went wrong during the upgrade, thanks alot!
Sending to client library
Component: Daemon → Client Library
Summary: "Encrypt sensitive data" causes segmentation fault → "Encrypt sensitive data" causes segmentation fault
(Reporter)

Comment 2

17 years ago
With a new profile I can use encrypt/obscure settings as long as there are no
saved passwords. As soon as I try to save a password with encrytion set I get a
segmentation fault.

Comment 3

17 years ago
Looks like a dupe of bug 67156 
Assignee: ddrinan → javi
Status: UNCONFIRMED → NEW
Ever confirmed: true
OS: Linux → All
Hardware: Macintosh → All
(Reporter)

Comment 4

17 years ago
Appears to be fixed in nightly 20010206.

Comment 5

17 years ago

*** This bug has been marked as a duplicate of 67156 ***
Status: NEW → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → DUPLICATE

Comment 6

17 years ago
Verified dupe.
Status: RESOLVED → VERIFIED

Updated

13 years ago
Component: Security: UI → Security: UI
Product: PSM → Core

Updated

9 years ago
Version: psm1.4 → 1.0 Branch
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.